<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net6.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <DockerDefaultTargetOS>Windows</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="MassTransit" Version="8.1.1" />
      <PackageReference Include="MassTransit.RabbitMQ" Version="8.1.1" />
      <PackageReference Include="Microsoft.Extensions.Hosting" Version="7.0.1" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Model\Model.csproj" />
    </ItemGroup>

</Project>
